aboutsummaryrefslogtreecommitdiffhomepage
path: root/src/test/shell/integration/loading_phase_tests.sh
diff options
context:
space:
mode:
authorGravatar Andreas Bergmeier <abergmeier@gmx.net>2016-08-10 09:49:00 +0000
committerGravatar Yue Gan <yueg@google.com>2016-08-10 13:54:57 +0000
commit18f005bde9a6b85167be9f899ab4abfb888fc4d8 (patch)
tree2593df7c714489cf25e4999bd6964231d8e901d3 /src/test/shell/integration/loading_phase_tests.sh
parent7e71f89f5ac0ef826fc1b9474155197946b031d3 (diff)
Added support for null terminated queries.
Closes #1496. -- Reviewed-on: https://github.com/bazelbuild/bazel/pull/1496 MOS_MIGRATED_REVID=129846158
Diffstat (limited to 'src/test/shell/integration/loading_phase_tests.sh')
-rwxr-xr-xsrc/test/shell/integration/loading_phase_tests.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/src/test/shell/integration/loading_phase_tests.sh b/src/test/shell/integration/loading_phase_tests.sh
index 9ea3820b88..9e0158614e 100755
--- a/src/test/shell/integration/loading_phase_tests.sh
+++ b/src/test/shell/integration/loading_phase_tests.sh
@@ -55,6 +55,12 @@ function test_query_buildfiles_with_load() {
expect_log //y:BUILD
expect_log //y:rules.bzl
+ # null terminated:
+ bazel query --noshow_progress --null 'buildfiles(//x)' >null.log ||
+ fail "Expected null success"
+ printf '//y:rules.bzl\0//y:BUILD\0//x:BUILD\0' >null.ref.log
+ cmp null.ref.log null.log || fail "Expected match"
+
# Missing skylark file:
rm -f y/rules.bzl
bazel query --noshow_progress 'buildfiles(//x)' 2>$TEST_log &&